<?php

/*
    -------------------------------------------------------------------
    moziloCMS-Plugin, das die Anzahl der Bilder einer Galerie zurückgibt.
    -------------------------------------------------------------------
    
    Details und Dokumentation: http://software.azett.com
    
*/
class GallerySize extends Plugin {

    function getContent($value) {
        global $CHARSET;
        global $specialchars;
        $syntax = new Syntax();
        $GALLERIES_DIR ="galerien";

        // Wert nich gesetzt?
        if (($value == null)||($value == "")) {
            return $syntax->createDeadlink("Fehler im Plugin!", "Keine Galerie angegeben!");
        }
        $gallerydir = $specialchars->replaceSpecialChars(html_entity_decode($value,ENT_COMPAT,$CHARSET),false);
        // Galerie vorhanden?
        if (file_exists("./$GALLERIES_DIR/$gallerydir")) {
            $j=0;
            $handle = opendir("./$GALLERIES_DIR/$gallerydir");
            while ($file = readdir($handle)) {
                if (is_file("./$GALLERIES_DIR/$gallerydir/".$file) && ($file <> "texte.conf")) {
                    $j++;
                }
            }
            closedir($handle);
            return $j;
        }
        // Galerie nicht vorhanden!
        else {
            return $syntax->createDeadlink("Fehler im Plugin!", "Galerie &quot;".$value."&quot; nicht vorhanden!");
        }
    } // function getContent
    
    function getConfig() {
        $config = array();
        return $config;
    } // function getConfig    
    
    function getInfo() {
        $info = array(
            // Plugin-Name + Version
            "<b>Galerie-Größe</b> 1.0.2010-09-13",
            // moziloCMS-Version
            "1.12",
            // Kurzbeschreibung nur <span> und <br /> sind erlaubt
            "Gibt die Anzahl der in der übergebenen Galerie vorhandenen Bilder aus.",
            // Name des Autors
            "Arvid Zimmermann",
            // Download-URL
            "http://software.azett.com",
            // Platzhalter für die Selectbox in der Editieransicht 
            // - ist das Array leer, erscheint das Plugin nicht in der Selectbox
            array(
                '{GallerySize|Galeriename}' => 'Galerie-Größe'
            )
        );
        return $info;
        
    } // function getInfo

} // class GallerySize

?>